# Payment instruments

List, retrieve, and revoke customer payment instruments and receive events when payment instruments change.

## Get payment instrument

 - [POST /payment-instruments/get](https://api-docs.solidgate.com/api/v2/payment-instruments/get-payment-instrument.md): Returns the payment instrument for the provided identifier.

## List payment instruments

 - [POST /payment-instruments/list](https://api-docs.solidgate.com/api/v2/payment-instruments/list-payment-instruments.md): Returns a paginated list of payment instruments for the specified customer.

## Revoke payment instrument

 - [POST /payment-instruments/revoke](https://api-docs.solidgate.com/api/v2/payment-instruments/revoke-payment-instrument.md): Revokes an active payment instrument and prevents it from being used for future payments.

## Payment instrument created

 - [POST PaymentInstrumentCreated](https://api-docs.solidgate.com/api/v2/payment-instruments/on-payment-instrument-created.md): Webhook sent when a new payment instrument is created.

## Payment instrument revoked

 - [POST PaymentInstrumentRevoked](https://api-docs.solidgate.com/api/v2/payment-instruments/on-payment-instrument-revoked.md): Webhook sent when a payment instrument is revoked.

## Payment instrument expired

 - [POST PaymentInstrumentExpired](https://api-docs.solidgate.com/api/v2/payment-instruments/on-payment-instrument-expired.md): Webhook sent when a payment instrument expires.

